## com.sun.grizzly.suspendable
Enum SuspendableFilter.Suspend

    java.lang.Object
      java.lang.Enum<SuspendableFilter.Suspend>
          com.sun.grizzly.suspendable.SuspendableFilter.Suspend

All Implemented Interfaces:
  Serializable, Comparable<SuspendableFilter.Suspend>

Enclosing class:
  SuspendableFilter<T>

    public static enum SuspendableFilter.Suspend

extends Enum<SuspendableFilter.Suspend>

Suspend the connection BEFORE of AFTER

Enum Constant Summary
`AFTER`
`BEFORE`

Method Summary
`static SuspendableFilter.Suspend` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SuspendableFilter.Suspend[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BEFORE

    public static final SuspendableFilter.Suspend BEFORE

### AFTER

    public static final SuspendableFilter.Suspend AFTER

Method Detail

### values

    public static SuspendableFilter.Suspend[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SuspendableFilter.Suspend c : SuspendableFilter.Suspend.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SuspendableFilter.Suspend valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2008 SUN Microsystems. All Rights Reserved.